﻿<table style="width: 100%; margin: 0 auto; text-align: center; vertical-align: top">
    <tr>
        <td style="text-align:left;width:100px;">
            @Html.DevExpress().Label(
            label =>
            {
                label.Text = "Case Grouping";
            }).GetHtml()
        </td>
        <td style="width:300px;">
            @using (Html.BeginForm("CallbackUploadCaseGrouping", "CaseGroupingMaintenance", FormMethod.Post))
            {
                @Html.DevExpress().UploadControl(
                Uploader =>
                {
                    Uploader.Name = "UploadCaseGrouping";
                    Uploader.CallbackRouteValues = new { Controller = "CaseGroupingMaintenance", Action = "CallbackUploadCaseGrouping" };
                    Uploader.ShowProgressPanel = false;
                    //Uploader.ClientSideEvents.FileUploadComplete = "UploadDataComplete";
                    Uploader.ClientSideEvents.FileUploadComplete = "function(s,e){ if(e.callbackData != ''){ EndUploadCaseGroupingCallBack(e.callbackData);}}";
                    Uploader.Width = 300;
                }).GetHtml()
            }
        </td>
        <td style="padding-left:1em;">
            @Html.DevExpress().Button(Button =>
            {
                Button.Name = "cmdUploadCaseGrouping";
                Button.Text = "Upload Revise";
                Button.Width = 140;
                Button.ClientSideEvents.Click = "UploadCaseGroupingClick";
                //Button.Style.Add("display", "inline-table");
                Button.UseSubmitBehavior = true;
                Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("MonthlyOrderPlanningInquiry", "FTR-SPEX-172-02", "UPLOAD");
            }).GetHtml()
        </td>
     </tr>
    <tr>
        <td></td>
        <td></td>
        <td style="padding-left:15px;text-align:left;">
            @Html.DevExpress().HyperLink(Link =>
       {
           Link.Name = "DownloadCaseGroupingLink";
           Link.Properties.Text = "Download Template";
           Link.Width = 150;
           Link.NavigateUrl = "Template/TemplateUploadCaseGrouping.csv";
           Link.Style.Add("display", "inline-table");
       }).GetHtml()
        </td>
    </tr>
</table>
